import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:yumi/app_localizations.dart';
import 'package:yumi/ui_kit/components/text/sc_text.dart';

import 'package:yumi/ui_kit/components/appbar/socialchat_appbar.dart';
import 'package:yumi/app/constants/sc_global_config.dart';
import 'package:yumi/ui_kit/widgets/pop/pop_route.dart';
import 'package:yumi/modules/webview/webview_page.dart';

class AboutPage extends StatefulWidget {
  @override
  _AboutPageState createState() => _AboutPageState();
}

class _AboutPageState extends State<AboutPage> {
  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        Image.asset(
          "sc_images/person/sc_icon_edit_userinfo_bg.png",
          width: ScreenUtil().screenWidth,
          height: ScreenUtil().screenHeight,
          fit: BoxFit.fill,
        ),
        Scaffold(
          backgroundColor: Colors.transparent,
          resizeToAvoidBottomInset: false,
          appBar: SocialChatStandardAppBar(title: SCAppLocalizations.of(context)!.about, actions: []),
          body: SafeArea(top: false,child: Column(
            children: [
              SizedBox(height: 35.w),
              Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Image.asset(
                    "sc_images/splash/sc_icon_splash_icon.png",
                    width: 80.w,
                    height: 120.w,
                  ),
                ],
              ),
              Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  text("v${SCGlobalConfig.version}(${SCGlobalConfig.build})", fontSize: 14.sp, textColor: Colors.white54),
                ],
              ),
              SizedBox(height: 15.w,),
              Container(
                padding: EdgeInsets.symmetric(vertical: 12.w),
                margin: EdgeInsets.symmetric(vertical: 8.w, horizontal: 35.w),
                decoration: BoxDecoration(
                  borderRadius: BorderRadius.circular(12),
                  color: Color(0xff18F2B1).withOpacity(0.1),
                ),
                child: Column(
                  children: [
                    GestureDetector(
                      behavior: HitTestBehavior.opaque,
                      child: Row(
                        children: [
                          SizedBox(width: 18.w),
                          text(
                            SCAppLocalizations.of(context)!.termsofService,
                            textColor: Colors.white,
                            fontSize: 13.sp,
                          ),
                          Spacer(),
                          Icon(
                            Icons.keyboard_arrow_right,
                            size: 15.w,
                            color: Colors.white,
                          ),
                          SizedBox(width: 18.w),
                        ],
                      ),
                      onTap: () {
                        Navigator.push(
                          context,
                          PopRoute(
                            child: WebViewPage(
                              title: SCAppLocalizations.of(context)!.termsofService,
                              url: '${SCGlobalConfig.userAgreementUrl}',
                            ),
                          ),
                        );
                      },
                    ),
                    Divider(color: Colors.white12, thickness: 0.5),
                    GestureDetector(
                      behavior: HitTestBehavior.opaque,
                      child: Row(
                        children: [
                          SizedBox(width: 18.w),
                          text(
                            SCAppLocalizations.of(context)!.privaceyPolicy,
                            textColor: Colors.white,
                            fontSize: 13.sp,
                          ),
                          Spacer(),
                          Icon(
                            Icons.keyboard_arrow_right,
                            size: 15.w,
                            color: Colors.white,
                          ),
                          SizedBox(width: 18.w),
                        ],
                      ),
                      onTap: () {
                        Navigator.push(
                          context,
                          PopRoute(
                            child: WebViewPage(
                              title: SCAppLocalizations.of(context)!.privaceyPolicy,
                              url:
                              '${SCGlobalConfig.privacyAgreementUrl}',
                            ),
                          ),
                        );
                      },
                    ),
                  ],
                ),
              )
            ],
          ),),
        ),
      ],
    );
  }
}
